﻿import numpy as np                          #Importation du module numpy et simplifictaion en np#
import matplotlib.pyplot as plt             #Importation du module matplot.lib et simplification en plt#
from scipy import stats                     #Importation de la fonction stats du module scipy#
mesures = np.loadtxt('dipole A donnees.csv',delimiter=';',skiprows=2)        #création d'une grandeur mesures correspondant aux données du fihier dipole A donnees.csv à partir de la troisième ligne (notée 2)#
I=mesures[:,0]                             #lecture de l'intensité du courant dans la colonne 1 (notée 0) du fichier csv# 
U=mesures[:,1]                             #lecture de la tension dans la colonne 2 (notée 1)du fichier csv#
print('Intensite du courant dans le conducteur ohmique en A :',I)
print('Tension aux bornes du conducteur ohmique en V:',U)


axes = plt.axes()
axes.grid()                                             #dessiner une grille pour une meilleure lisibilité du graphe#
plt.xlabel('I(A)')                                      #affiche un commentaire sur l'axe des abscisses#
plt.ylabel('U(V)')					#affiche un commentaire sur l'axe des ordonnées#
plt.scatter(I,U,s=100,c = 'red',marker= '+')            #affiche un nuage de points rouges de taille 100#
plt.title('Courbe U=f(I)')                              #affiche le titre#






plt.show()                          #affichage du graphique#






 
